<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <appSettings>
    <!-- FIREBIRD SETTINGS -->
    <add key="FIREBIRD_DATASOURCE" value=""/>
    <add key="FIREBIRD_DATABASE_NAME" value=""/>
    <add key="FIREBIRD_DATABASE_USER" value=""/>
    <add key="FIREBIRD_DATABASE_PASS" value=""/>
    <!-- END FIREBIRD SETTINGS -->
    
    <!-- MSSQL SETTINGS -->
    <add key="MSSQ_CONNECTION_STRING" value=""/>
    <!-- END MSSQL SETTINGS -->

    <!-- DATASTORE SETTINGS -->
    <add key="DATASTORE_PATH" value=""/>
    <!-- END DATASTORE SETTINGS -->

    <!-- CONTAINER SETTINGS -->
    <add key="CONTAINER_PATH" value=""/>
    <add key="CONTAINER_PASSWORD" value=""/>
    <!-- END CONTAINER SETTINGS -->
  </appSettings>
  <system.diagnostics>
    <sources>
      <source name="System.ServiceModel" switchValue="Information,ActivityTracing" propagateActivity="true">
        <listeners>
          <add name="xml"/>
        </listeners>
      </source>
      <source name="System.ServiceModel.MessageLogging">
        <listeners>
          <add name="xml"/>
        </listeners>
      </source>
    </sources>
    <sharedListeners>
      <add name="xml" 
           initializeData="C:\logs\TracingAndLogging-service.svclog" 
           type="System.Diagnostics.XmlWriterTraceListener"  />
    </sharedListeners>
    <trace autoflush="true"/>
  </system.diagnostics>
  <system.serviceModel>
    <diagnostics wmiProviderEnabled="true">
      <messageLogging logEntireMessage="false" logMalformedMessages="true" logMessagesAtTransportLevel="true"/>
      <endToEndTracing propagateActivity="true" activityTracing="true" messageFlowTracing="true"/>
    </diagnostics>
    <bindings>
      <netTcpBinding>
        <binding name="tcpBinding" 
                 sendTimeout="00:10:00"
                 transferMode="Streamed" 
                 maxBufferSize="2147483647"
                 maxBufferPoolSize="2147483647"
                 maxReceivedMessageSize="2147483647">
          <readerQuotas       
            maxDepth="32" 
            maxStringContentLength="2147483647" 
            maxArrayLength="2147483647" 
            maxBytesPerRead="2147483647" 
            maxNameTableCharCount="2147483647"/>
          <security mode="Transport">
            <transport clientCredentialType="Windows"/>
          </security>
        </binding>
      </netTcpBinding>
    </bindings>
    <services>
      <service behaviorConfiguration="DefaultServiceBehavior" name="DigitalData.Services.EDMIService.EDMIService">
        <endpoint address="" binding="netTcpBinding" bindingConfiguration="tcpBinding" name="tcpBinding" contract="DigitalData.Services.EDMIService.IEDMIService" />
        <endpoint address="mex" binding="mexTcpBinding" name="MexTcpBinding" contract="IMetadataExchange"/>
        <host>
          <baseAddresses>
            <add baseAddress="net.tcp://localhost:9000/DigitalData/Services/Main"/>
          </baseAddresses>
        </host>
      </service>
    </services>
    <behaviors>
      <serviceBehaviors>
        <behavior name="DefaultServiceBehavior">
          <serviceMetadata httpGetEnabled="false"/>
          <serviceDebug includeExceptionDetailInFaults="true"/>
        </behavior>
      </serviceBehaviors>
    </behaviors>
  </system.serviceModel>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="FirebirdSql.Data.FirebirdClient" publicKeyToken="3750abcc3150b00c" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-6.5.0.0" newVersion="6.5.0.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2"/></startup></configuration>
